Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.InOutBoard
Class InOutBoard

    java.lang.Object
      |
      +--context.apps.InOutBoard.InOutBoard

public class InOutBoard
extends java.lang.Object
implements Handler

Field Summary
`static int` | `DEFAULT_PORT` Default port to start the BaseObject on is 5555
`static java.lang.String` | `IN`
`static int` | `MAX_PEOPLE` Maximum number of different users we want to deal with
`static java.lang.String` | `OUT`
`InOutRecord[]` | `people`
`int` | `peopleCount`
`static java.lang.String` | `RFID_ID`
`static java.lang.String` | `SUBSCRIBER_ID` Subscription ID for PersonPresenceSonic UPDATE callback
`java.lang.String` | `VERSION_NUMBER` Version number of the In/Out Board app

Constructor Summary
`InOutBoard(java.lang.String location, int localport, WidgetHandles whs, java.lang.String rfidHost, int rfidPort, java.lang.String rfidID, java.lang.String i2nxHost, int i2nxPort, java.lang.String i2nxID)` Constructor that creates an instance of BaseObject at the given port.

Method Summary
`void` | `checkOvertime()`
`DataObject` | `handle(java.lang.String callback, DataObject data)` This abstract method is used to generically handle any callbacks that a widget may support.
`static void` | `main(java.lang.String[] argv)`
`void` | `midnightRefresh()`
`void` | `quitApp()`
`void` | `setTestData()`
`DataObject` | `userSighting(java.lang.String who, java.lang.String where, java.lang.String when, java.lang.String status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_NUMBER

    public java.lang.String VERSION_NUMBER

  Version number of the In/Out Board app

### MAX_PEOPLE

    public static final int MAX_PEOPLE

  Maximum number of different users we want to deal with

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  Default port to start the BaseObject on is 5555

### SUBSCRIBER_ID

    public static final java.lang.String SUBSCRIBER_ID

  Subscription ID for PersonPresenceSonic UPDATE callback

### RFID_ID

    public static final java.lang.String RFID_ID

### IN

    public static final java.lang.String IN

### OUT

    public static final java.lang.String OUT

### people

    public InOutRecord[] people

### peopleCount

    public int peopleCount

Constructor Detail

### InOutBoard

    public InOutBoard(java.lang.String location,
                      int localport,
                      WidgetHandles whs,
                      java.lang.String rfidHost,
                      int rfidPort,
                      java.lang.String rfidID,
                      java.lang.String i2nxHost,
                      int i2nxPort,
                      java.lang.String i2nxID)

  Constructor that creates an instance of BaseObject at the given port. It subscribes to the PNIOSonic and displays the board accordingly.
  Parameters:
    `location` - Location of the PNIOSonic widget
    `localport` - Port the app is running on
    `whs` - WidgetHandles to PNIOSonic widgets
    `rfidHost` - Host the RFID widget is running on
    `rfidPort` - Port the RFID widget is running on
    `rfidID` - Id of the RFID widget
    `i2nxHost` - Host the iButton2NameExt interpreter is running on
    `i2nxPort` - Port the iButton2NameExt interpreter is running on
    `i2nxID` - Id of the iButton2NameExt interpreter
  See Also:
    `BaseObject`, `BaseObject.subscribeTo(context.arch.handler.Handler, int, java.lang.String, java.lang.String, int, java.lang.String, java.lang.String, java.lang.String)`, `WPNIOSonic`

Method Detail

### setTestData

    public void setTestData()

### userSighting

    public DataObject userSighting(java.lang.String who,
                                   java.lang.String where,
                                   java.lang.String when,
                                   java.lang.String status)

### handle

    public DataObject handle(java.lang.String callback,
                             DataObject data)
                      throws InvalidMethodException,
                             MethodException

  Description copied from interface: Handler
  This abstract method is used to generically handle any callbacks that a widget may support. A context widget will call handle when a callback is triggered in the widget and the handler has subscribed to that callback.
  Specified by:
    handle in interface Handler
  Tags copied from interface: Handler
  Parameters:
    `callback` - The name of the widget callback (on the subscriber side) triggered
    `data` - DataObject containing the data for the widget callback
  Returns:
    DataObject containing any directives to the widget that created the callback
  Throws:
    InvalidMethodException - if the specified callback can't be found
    MethodException - is thrown if the specified callback can not be executed successfully

### quitApp

    public void quitApp()

### midnightRefresh

    public void midnightRefresh()

### checkOvertime

    public void checkOvertime()

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD